Version 6.7.7 Source
Single

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `column_break0` | Column Break |  |
2 | `employee_type` | Link | Employee Type Leave blank if considered for all employee types | Employment Type
3 | `branch` | Link | Branch Leave blank if considered for all branches | Branch
4 | `department` | Link | Department Leave blank if considered for all departments | Department
5 | `designation` | Link | Designation Leave blank if considered for all designations | Designation
6 | `column_break1` | Column Break |  |
7 | `from_date` | Date | From Date |
8 | `to_date` | Date | To Date |
9 | `leave_type` | Link | Leave Type | Leave Type
10 | `carry_forward` | Check | Carry Forward Please select Carry Forward if you also want to include previous fiscal year's balance leaves to this fiscal year |
11 | `no_of_days` | Float | New Leaves Allocated (In Days) |
12 | `allocate` | Button | Allocate |
    allocate_leave

### Controller

#### erpnext.hr.doctype.leave_control_panel.leave_control_panel

### Class LeaveControlPanel

Inherits from frappe.model.document.Document

allocate_leave (self)

No docs

get_employees (self)

No docs

to_date_validation (self)

No docs

validate_values (self)

No docs